Subject: Offline Message from Hamza tahab: I need mq9087x I'm from Riyadh Saudi Arabia
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 11 Jul 2020 00:08:24 -0000

From: Hamza tahab <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/checkout/cart/
Department: 

I need mq9087x
I'm from Riyadh Saudi Arabia. 
How much is it and what about the shipping charges and the delivery time. 
Warranty also is it covered in Saudi Arabia from abdulwahed the brown agent in Saudi Arabia. 
Can I pay as cash on delivery. I prefer this payment method.
Thank you and how to see your reply soon
00966566888904

----
Zopim
https://www.zopim.com